/*=============================================================================
 *
 *  Filename:           DlgActLs.hpp : header file
 *  Version:            1.0
 *  Date:				27/05/97
 *  Author:             M.T.
 *
 *  Description:		description of Form view class for Actions & States Tree
 *
 *===========================================================================*/
#if !defined(AFX_DLGACTTR_HPP__D4ACC88E_D6A8_11D0_B18F_0060973673C5__INCLUDED_)
#define AFX_DLGACTTR_HPP__D4ACC88E_D6A8_11D0_B18F_0060973673C5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DlgActTr.hpp : header file
//
#include "TAct_Res.h"

/////////////////////////////////////////////////////////////////////////////
// CDlgActionTree form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class TAction_Interface;
class CPA_Action;
class CPA_State;

class CDlgActionTree : public CFormView
{
protected:
    TAction_Interface*  m_p_oParentDLL;

protected:
	CDlgActionTree();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDlgActionTree)

// Form Data
public:
	//{{AFX_DATA(CDlgActionTree)
	enum { IDD = IDD_DLG_ACTION_TREE };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
public:

// Operations
public:
	void mfn_vSetCurrentState(CPA_State *_p_oState);
	void mfn_vSetCurrentAction(CPA_Action *_p_oAction);
	void mfn_vSetCurrentFamily(CPA_Family *_p_oFamily);
    void fn_vSetParentDLL   ( TAction_Interface *_p_oDLL )  { m_p_oParentDLL = _p_oDLL; }

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgActionTree)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void mfn_vFillTree(CPA_Family *_p_oFamily);
	virtual ~CDlgActionTree();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CDlgActionTree)
	afx_msg void OnBtCopyaction();
	afx_msg void OnBtDelaction();
	afx_msg void OnBtEditza();
	afx_msg void OnBtNewaction();
	afx_msg void OnBtRenameaction();
	afx_msg void OnRclickTreeAct(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangedTreeAct(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGACTTR_HPP__D4ACC88E_D6A8_11D0_B18F_0060973673C5__INCLUDED_)
